Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Graphiti » Graphiti 0.10 in indigo, juno and kepler
Graphiti 0.10 in indigo, juno and kepler [message #1057807] Wed, 08 May 2013 18:35 Go to next message
Robert Brodt is currently offline Robert Brodt
Messages: 539
Registered: August 2010
Location: Colorado Springs, CO
Senior Member

Hi Michael,

I have already seen the Graphiti compatibility topic and can understand why Graphiti needed to break the API going from helios to later versions of eclipse.

My question is: can Graphiti 0.10 or whatever version will be part of the kepler release train, still work on indigo and juno? As project lead on the BPMN2 Modeler project I've had to maintain three different branches for graphiti compatibility. It would be nice if we could collapse at least two of those branches and simply use Graphiti 0.10 for indigo, juno and kepler.

Thanks!
Bob
Re: Graphiti 0.10 in indigo, juno and kepler [message #1058240 is a reply to message #1057807] Mon, 13 May 2013 06:24 Go to previous messageGo to next message
Michael Wenz is currently offline Michael Wenz
Messages: 1524
Registered: July 2009
Location: Walldorf, Germany
Senior Member
Hi Bob,

sorry for the late reply, I was off for a few days and wanted to test the
Indigo installation first.

So, Kepler will contain Graphiti 0.10.0.

Graphiti follows a N-1 policy, meaning that each release of Graphiti will be
tested against the current train release and its predecessor. That means
that Graphiti 0.10.0 runs against Eclipse Kepler and Eclipse Juno. So far
I'm not aware of any issues and would expect none, but some more extensive
testing of Juno as runtime is on the plan for the next weeks.

For Indigo this looks a little different: we do not give a guarantee that
Graphiti will run against the pre-predecessor version of the train. But I
did some basic tests this morning by installing Graphiti 0.10.0 into an
Eclipse Indigo: it looks ok, there are no exceptions at least in basic
functionality, so I think it should be possible to use that version in
Indigo. (There was one issue I fixed this morning: one of the examples -
filesystem - limited the Eclipse UI plugin to 3.8 at least; I changed this
to 3.7 so it will also install into Indigo.) But: note, that this is not an
official recommendation to use Graphiti 0.10.0 also in Indigo, as we would
need to do more testing against that as runtime. We'll try to do some more
testing against Indigo in the coming weeks.

Michael
Re: Graphiti 0.10 in indigo, juno and kepler [message #1058275 is a reply to message #1058240] Mon, 13 May 2013 08:42 Go to previous messageGo to next message
Robert Brodt is currently offline Robert Brodt
Messages: 539
Registered: August 2010
Location: Colorado Springs, CO
Senior Member

Thanks for the reply Michael. I only (incorrectly) assumed that 0.10 was not backward compatible with juno because a cursory test of the BPMN2 Modeler failed; so this leads me to believe there must be something wrong in MY code Wink I'll try to figure out what's going on there. If we CAN use the latest version Graphiti for Juno going forward, that would simplify life a lot.

EDIT: I do recall having problems with the eclipse hudson builds targeting juno, with Graphiti 0.10. Again, not sure about the specifics, but when I replaced 0.10 with 0.9.2, the problems went away.

My only concern is that Graphiti 0.9.2 is the version that is installed by default in Indigo and Juno, and I'm not sure if two products using two different version of Graphiti simultaneously within the same workspace, can coexist. Do you know of any issues there?

Thanks,
Bob

[Updated on: Mon, 13 May 2013 08:45]

Report message to a moderator

Re: Graphiti 0.10 in indigo, juno and kepler [message #1059053 is a reply to message #1058275] Thu, 16 May 2013 08:41 Go to previous messageGo to next message
Robert Brodt is currently offline Robert Brodt
Messages: 539
Registered: August 2010
Location: Colorado Springs, CO
Senior Member

Just to follow up on this topic...

I removed all required version numbers for GEF, EMF and eclipse platform plugins from my manifests and now the editor that is built on top of Graphiti 0.10 works with Indigo, Juno and Kepler Smile So, now all I have in my MANIFEST.MF is:

org.eclipse.graphiti;bundle-version="[0.10.0,0.11.0]",
org.eclipse.graphiti.ui;bundle-version="[0.10.0,0.11.0]",

Thanks,
Bob
Re: Graphiti 0.10 in indigo, juno and kepler [message #1059304 is a reply to message #1058275] Fri, 17 May 2013 09:22 Go to previous message
Michael Wenz is currently offline Michael Wenz
Messages: 1524
Registered: July 2009
Location: Walldorf, Germany
Senior Member
Bob,

that's of course a valid concern. All Graphiti plugins are singletons, so
every tool in the installation using Graphiti has to use the same version.

Michael
Previous Topic:Add containment Feature for an Object
Next Topic:Compartment Rectangle
Goto Forum:
  


Current Time: Thu Apr 17 03:55:46 EDT 2014

Powered by FUDForum. Page generated in 0.02180 seconds